%define	enable_xprint	0

Name: xman
Version: 1.1.2
Release: %mkrel 2
Summary: Manual page display program for the X Window System
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-root

# Not really required, but configure checks for /etc/man.config
# to know if should or not use it.
BuildRequires: man
BuildRequires: libxaw-devel >= 1.0.1
%if %{enable_xprint}
BuildRequires: libxprintutil-devel >= 1.0.1
-BuildRequires: libxp-devel >= 1.0.0
%endif
BuildRequires: x11-util-macros >= 1.0.1

%description
Xman is a manual page display program for the X Window System.

%prep
%setup -q -n %{name}-%{version}
sed -i 's|lzma|xz|g' vendor.h

%build
%configure2_5x \
		--with-sysmanpath=%{_mandir} \
		--with-localmanpath=%{_mandir} \
%if %{enable_xprint}
		--enable-xprint
%else
		--disable-xprint
%endif
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/xman
%{_datadir}/X11/xman.help
%{_datadir}/X11/app-defaults/Xman
%{_mandir}/man1/xman.*


%changelog
* Fri Aug 31 2012 Paulo Andrade <pcpa@mandriva.com.br> 1.1.2-2mdv2012.0
+ Revision: 816151
- Find manual pages and properly uncompress them.

* Sat Sep 10 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.2-1
+ Revision: 699281
- update to new version 1.1.2

* Sat May 07 2011 Oden Eriksson <oeriksson@mandriva.com> 1.1.1-2
+ Revision: 671342
- mass rebuild

* Tue Nov 02 2010 Thierry Vignaud <tv@mandriva.org> 1.1.1-1mdv2011.0
+ Revision: 592500
- new release

* Wed Nov 11 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.1.0-1mdv2010.1
+ Revision: 464744
- New version: 1.1.0
  Lzma and bzip2 patches integrated upstream

* Mon Apr 13 2009 Funda Wang <fwang@mandriva.org> 1.0.3-7mdv2009.1
+ Revision: 366706
- no more autoconf needed

  + Antoine Ginies <aginies@mandriva.com>
    - rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.0.3-6mdv2009.0
+ Revision: 226062
- rebuild

* Tue Feb 12 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.3-5mdv2008.1
+ Revision: 166687
- Revert to use upstream tarball, build requires and remove non mandatory local patches.

* Thu Jan 17 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.3-4mdv2008.1
+ Revision: 154425
- Updated BuildRequires and resubmit package.
  Switched to store patches in git repository (in branch mandriva+custom),
  and extract tarball with git-archive.

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Nov 06 2007 Funda Wang <fwang@mandriva.org> 1.0.3-3mdv2008.1
+ Revision: 106450
- rebuild for new lzma

* Mon Oct 29 2007 Paulo Andrade <pcpa@mandriva.com.br> 1.0.3-2mdv2008.1
+ Revision: 103565
- Add lzma support and defaults to no xprint support.

* Fri Aug 10 2007 Thierry Vignaud <tv@mandriva.org> 1.0.3-1mdv2008.0
+ Revision: 61656
- fix man extension
- new release

